import { Suspense } from 'react'
import { Spin } from 'antd'
import { useRoutes } from 'react-router'
import routes from './router/routes'
import './App.scss'
import { Alert } from 'antd'
import { ErrorBoundary } from 'react-error-boundary'

const App = () => {
  const element = useRoutes(routes)
  return (
    <ErrorBoundary
      fallbackRender={({ error }) => <Alert message="系统错误" description={error.message} type="error" />}>
      <Suspense
        fallback={
          <div
            style={{ width: '100%', height: '100vh', display: 'flex', alignItems: 'center', justifyContent: 'center' }}>
            <Spin size="large" />
          </div>
        }>
        {element}
      </Suspense>
    </ErrorBoundary>
  )
}

export default App
