import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/lab/v1/common/permission/role')
}

// 退出登录
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}

// 获取oss token
export function getToken() {
  return httpRequest.get('/api/usercenter/aliyun/assume-role')
}

// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}

// 图片上传
export async function uploadFile(data: Record<string, any>) {
  await httpRequest.post(data.host || 'https://webapp-pub.ezijing.com', data, {
    withCredentials: false,
    headers: { 'Content-Type': 'multipart/form-data' },
  })
  return data
}

// 获取公共字典列表
export function getMapList() {
  return httpRequest.get('/api/resource/v1/util/get-data-dictionary-list')
}

// 我的数据集列表
export function getMyList(params?: Partial<{ page: number; 'per-page': number }>) {
  return httpRequest.get('/api/resource/bi/v1/data/my/list', { params })
}

// 我的数据集列表
export function getMyFile() {
  return httpRequest.get('/api/resource/bi/v1/data/my/file', { responseType: 'arraybuffer' })
}

// 查看字段详情
export function getMyField() {
  return httpRequest.get('/api/resource/bi/v1/data/my/field-detail')
}

// 进度查询
export function getProcessProgress(params: { function_name: string }) {
  return httpRequest.get('/api/resource/bi/v1/processing/processing/progress', { params })
}
